#MyWidget.py
from ProductSql import ProductSql
from PyQt5.QtWidgets import *
from PyQt5.QtGui import *
class MyWidget(QWidget):
    def __init__(self):
        super().__init__()
        self.setWindowTitle("상품 조회")
        self.psql = ProductSql()
        self.lbox_product = QListWidget(self)
        self.lbox_product.resize(400,1000)
        self.resize(1000,1000)
        lb_info_pname = QLabel("상품명:",self)
        lb_info_pname.move(420,100)
        self.lb_pname = QLabel("",self)
        self.lb_pname.resize(200,80)
        self.lb_pname.move(550,100)
        lb_info_price = QLabel("가격:", self)
        lb_info_price.move(420,200)
        self.lb_price = QLabel("",self)
        self.lb_price.resize(200,80)
        self.lb_price.move(550,200)
        
        self.ListProduct()
        self.lbox_product.currentItemChanged.connect(self.OnChangeProduct)
    def OnChangeProduct(self):        
        index = self.lbox_product.currentIndex()
        ro = self.lbox_product.currentRow()
        it = self.lbox_product.currentItem()
        pid = self.lbox_product.currentItem().text()
        pname, price = self.psql.FindProdctInfo(pid)
        self.lb_pname.setText(pname)
        self.lb_price.setText(str(price))
    def ListProduct(self):
        self.lbox_product.clear()
        products = self.psql.GetProductsID()
        for product in products:
            self.lbox_product.addItem(product)




